# RPM spec file for KCalDAV
#
# (C) 2009-2010  Kumaran Santhanam
#
# This project is released under the GNU General Public License v2.

%define version    1.2.0
%define release    1

Summary: CalDAV resource for Kontact
Name: kdepim-caldav
Version: %{version}
Release: %{release}
License: GPL
Group: User Interface/Desktops
Source: kcaldav-%{version}.tar.gz
URL: http://code.google.com/p/kcaldav/
BuildRoot: /var/tmp/kcaldav-%{version}-%{release}-root
Packager: Kumaran Santhanam
Requires: kdepim
BuildRequires: kdepim-devel kdepimlibs-devel qt-devel libical-devel libcurl-devel glib2-devel
Provides: kcaldav

%description

This resource provides CalDAV support for Kontact.  It has been tested
against DAViCal.  It is intended to provide the same level of CalDAV
support as other major calendaring clients such as Evolution and
Sunbird.

%changelog

* Tue Nov  2 2010 Kumaran Santhanam
  - version 1.2.0 release

* Tue Sep 21 2010 Kumaran Santhanam
  - version 1.1.1 release

* Thu Jun 10 2010 Kumaran Santhanam
  - version 1.1.0 release

* Tue Jun  8 2010 Kumaran Santhanam
  - version 1.0.1 release

* Thu Apr 22 2010 Kumaran Santhanam
  - version 1.0.0 release

%prep
echo $RPM_BUILD_DIR
%setup -q -n kcaldav-%{version}
%build
export CALDAV_RPM_BUILDROOT=$RPM_BUILD_ROOT; make -j4 buildforrpm

%install
make ROOT=$RPM_BUILD_ROOT install/strip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/kde4/kcal_caldav.so
%{_libdir}/libkcal_caldav.so
%{_libdir}/libkcal_caldav.so.%{version}
%{_datadir}/kde4/services/kresources/kcal/kcal_caldav.desktop
